Skip to content
GET

Get a payouts summary with transactions (PDF)

https://api.kustom.co/settlements/v1/reports/payouts-summary

Returns a summary for all payouts between the given dates

Parameters2 fields
  • start_datestring · date-timerequiredin query

    ISO 8601 date time format. This is a filter for the payout date. If no time is given then it defaults to the start of the day, ie 00:00:00. For example 2020-01-23 -> 2020-01-23T00:00:00Z. For this reason we recommend too use the full datetime like 2020-01-23T00:00:00Z.

  • end_datestring · date-timerequiredin query

    ISO 8601 date time format. This is a filter for the payout date. If no time is given then it defaults to the start of the day, ie 00:00:00. This might lead to unwanted side effects like when the start date and end date might be the same because it would request payouts between 2020-01-23T00:00:00Z and 2020-01-23T00:00:00Z. Instead we advise to use a full date time like 2020-01-23T23:59:59Z.

200
Response0 fields

A summary of payouts

No response body — this status returns headers only.

400
Response3 fields

Bad request

  • error_codestringrequired

    ERROR_CODE

  • error_messages[]array<string>required

    Array of error messages

  • correlation_idstringrequired

    Unique id for this request used for troubleshooting.

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.